IntelliCAD 11.1 Object Library
Rotate3D Method
See Also 
Point1

Point object representing the first point of the axis about which objects will be rotated.

Point2
Point object representing the second point of the axis about which objects will be rotated.
RotationAngle
A double-precision variable (or value) representing the angle in radians.
Dimension Object : Rotate3D Method

Description

Rotates an object about an axis formed by two points. The direction of the axis is from point1 to point2.

Syntax

Visual Basic
Public Sub Rotate3D( _
   ByVal Point1 As Point, _
   ByVal Point2 As Point, _
   ByVal RotationAngle As Double _
) 

Parameters

Point1

Point object representing the first point of the axis about which objects will be rotated.

Point2
Point object representing the second point of the axis about which objects will be rotated.
RotationAngle
A double-precision variable (or value) representing the angle in radians.

Example

Private Sub Rotate3D_Example()

     ' This example creates a cone in model space.

     ' It then rotates the cone about an axis.

          

     Dim coneObj As IntelliCAD.PolygonMesh

     Dim rotateConeObj As IntelliCAD.PolygonMesh

     Dim conePt As IntelliCAD.Point

     Dim rotPt1 As IntelliCAD.Point

     Dim rotPt2 As IntelliCAD.Point

     Set conePt = Library.CreatePoint(2, 2, 0)

     Set rotPt1 = Library.CreatePoint(1, 2, 0)

     Set rotPt2 = Library.CreatePoint(3, 4, 0)

     Set coneObj = ThisDocument.ModelSpace.AddCone(conePt, 3, 4)

     coneObj.Update

     

     ' Rotate the cone

     coneObj.Rotate3D rotPt1, rotPt2, 10

     ThisDocument.Application.ZoomAll

End Sub

See Also

© 2022 IntelliCAD Technology Consortium. All Rights Reserved.